from sqlalchemy import Column, Integer, ForeignKey
from sqlalchemy.orm import relationship

from .book_model import Book
from .book_category_model import BookCategory
from .base_model import Base


class BookCategoryLink(Base):
    __tablename__ = 'book_category_link'

    book_id = Column(Integer, ForeignKey(
        'book.id', ondelete="cascade"), primary_key=True)
    book_category_id = Column(Integer, ForeignKey(
        'book_category.id', ondelete="cascade"), primary_key=True)

    book = relationship('Book', overlaps='categories,books')
    book_category = relationship('BookCategory', overlaps='categories,books')


__all__ = ["BookCategoryLink"]
