class DatabaseError(Exception):
    def __init__(self, message: str):
        super().__init__(message)
        self.message = message


class DatabaseConfigError(Exception):
    def __init__(self, message: str, config_name: str, config_value: str):
        super().__init__(message)

        self.message = message
        self.config_name = config_name
        self.config_value = config_value


class DatabaseConnectionError(DatabaseError):
    def __init__(self, message: str):
        super().__init__(message)
        self.message = message


class DuplicateEntryError(DatabaseError):
    def __init__(self, duplicate_entry_name: str, message: str):
        super().__init__(message)
        self.duplicate_entry_name = duplicate_entry_name
        self.message = message


__all__ = ["DatabaseError", "DatabaseConfigError", "DatabaseConnectionError", "DuplicateEntryError"]
